from myconfig import TOKEN
import wx

class Listctrl(wx.Panel):  
    '''
    #  需要在 Frame 实例化一个实例
    #  改变需要对实例化后的进行操作
    '''
    def __init__(self, parent  ):
        '''
        * panel 初始化后的样子
        '''
        # self.para_setting = para
        super(Listctrl,self).__init__(parent)
        self.locale = wx.Locale(wx.LANGUAGE_CHINESE_SIMPLIFIED)

        self.SetBackgroundColour('lightgrey')

        self.box = wx.BoxSizer(wx.HORIZONTAL)

        self.list_ctrl = wx.ListCtrl(self, -1, style = wx.LC_REPORT | wx.LC_SORT_DESCENDING)
        self.list_ctrl.SetBackgroundColour( 'lightgrey'  )

        self.list_ctrl.InsertColumn(0, u'测量时间', width = 180)
        self.list_ctrl.InsertColumn(1, u'花粉_Pollen', width = 180)
        i = 1

        self.list_ctrl.SetFont( wx.Font( 11, wx.FONTFAMILY_SWISS, wx.FONTSTYLE_NORMAL, wx.FONTWEIGHT_NORMAL, False ) )

        self.box.Add(self.list_ctrl,1,wx.EXPAND)
        self.SetSizer(self.box)
        self.Fit()  
